GFFWriter (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.gff.GFFWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.gff
Class GFFWriter

    java.lang.Object
      org.biojava.bio.program.gff.GFFWriter

All Implemented Interfaces:
  GFFDocumentHandler

    public class GFFWriter

extends Object
implements GFFDocumentHandler

Listens to a stream of GFF events and writes the lines to a PrintWriter.

This will ignore all exceptions. Perhaps the error-handling needs to move into an error handling interface?

Author:
  Matthew Pocock, Keith James (docs)

Constructor Summary
`GFFWriter(PrintWriter out)` Create a new GFFWriter that will write to out.

Method Summary
`void` | `commentLine(String comment)` Prints the comment directly to the PrintWriter after adding a leading '`#`'.
`void` | `endDocument()` Flushes the PrintWriter to make sure that everything is written.
`void` | `invalidEnd(String token, NumberFormatException nfe)`
`void` | `invalidFrame(String token, NumberFormatException nfe)`
`void` | `invalidScore(String token, NumberFormatException nfe)`
`void` | `invalidStart(String token, NumberFormatException nfe)`
`void` | `invalidStrand(String token)`
`void` | `recordLine(GFFRecord record)` Prints record to the PrintWriter.
`void` | `startDocument(String locator)` Indicates that a new GFF document has been started.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFWriter

    public GFFWriter(PrintWriter out)

  Create a new GFFWriter that will write to out.

  Parameters:
    `out` - the PrintWriter to write to

Method Detail

### startDocument

    public void startDocument(String locator)

  Description copied from interface: `GFFDocumentHandler`
  Indicates that a new GFF document has been started. This gives you a hook to set up per-document resources.

  Specified by:
    `startDocument` in interface `GFFDocumentHandler`
  Parameters:
    `locator` - A URI for the stream being parsed.

### endDocument

    public void endDocument()

  Flushes the PrintWriter to make sure that everything is written.

  Specified by:
    `endDocument` in interface `GFFDocumentHandler`

### commentLine

    public void commentLine(String comment)

  Prints the comment directly to the PrintWriter after adding a leading '`#`'.

  Specified by:
    `commentLine` in interface `GFFDocumentHandler`
  Parameters:
    `comment` - the comment String

### recordLine

    public void recordLine(GFFRecord record)

  Prints record to the PrintWriter.

  Specified by:
    `recordLine` in interface `GFFDocumentHandler`
  Parameters:
    `record` - the GFFRecord containing all the info

### invalidStart

    public void invalidStart(String token,
                             NumberFormatException nfe)
                      throws BioException

  Throws:
    `BioException`

### invalidEnd

    public void invalidEnd(String token,
                           NumberFormatException nfe)
                    throws BioException

  Throws:
    `BioException`

### invalidScore

    public void invalidScore(String token,
                             NumberFormatException nfe)
                      throws BioException

  Throws:
    `BioException`

### invalidStrand

    public void invalidStrand(String token)
                       throws BioException

  Throws:
    `BioException`

### invalidFrame

    public void invalidFrame(String token,
                             NumberFormatException nfe)
                      throws BioException

  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD